| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ChannelInterfaceRoomConfigInterface Class Reference
Client-side proxies » Channel proxies

`#include <TelepathyQt/Channel>`

Inheritance diagram for Tp::Client::ChannelInterfaceRoomConfigInterface:
[legend]

## Public Slots

QDBusPendingReply | UpdateConfiguration (const QVariantMap &properties, int timeout=-1)

## Public Member Functions

| ChannelInterfaceRoomConfigInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelInterfaceRoomConfigInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelInterfaceRoomConfigInterface (Tp::DBusProxy *proxy)
| ChannelInterfaceRoomConfigInterface (const Tp::Client::ChannelInterface &mainInterface)
| ChannelInterfaceRoomConfigInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyAnonymous () const
Tp::PendingVariant * | requestPropertyInviteOnly () const
Tp::PendingVariant * | requestPropertyLimit () const
Tp::PendingVariant * | requestPropertyModerated () const
Tp::PendingVariant * | requestPropertyTitle () const
Tp::PendingVariant * | requestPropertyDescription () const
Tp::PendingVariant * | requestPropertyPersistent () const
Tp::PendingVariant * | requestPropertyPrivate () const
Tp::PendingVariant * | requestPropertyPasswordProtected () const
Tp::PendingVariant * | requestPropertyPassword () const
Tp::PendingVariant * | requestPropertyPasswordHint () const
Tp::PendingVariant * | requestPropertyCanUpdateConfiguration () const
Tp::PendingVariant * | requestPropertyMutableProperties () const
Tp::PendingVariant * | requestPropertyConfigurationRetrieved () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)
Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.RoomConfig1".

## Constructor & Destructor Documentation

## § ChannelInterfaceRoomConfigInterface() [1/5]

Tp::Client::ChannelInterfaceRoomConfigInterface::ChannelInterfaceRoomConfigInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceRoomConfigInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ChannelInterfaceRoomConfigInterface() [2/5]

Tp::Client::ChannelInterfaceRoomConfigInterface::ChannelInterfaceRoomConfigInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceRoomConfigInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ChannelInterfaceRoomConfigInterface() [3/5]

Tp::Client::ChannelInterfaceRoomConfigInterface::ChannelInterfaceRoomConfigInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceRoomConfigInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § ChannelInterfaceRoomConfigInterface() [4/5]

Tp::Client::ChannelInterfaceRoomConfigInterface::ChannelInterfaceRoomConfigInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) |

explicit

Creates a ChannelInterfaceRoomConfigInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § ChannelInterfaceRoomConfigInterface() [5/5]

Tp::Client::ChannelInterfaceRoomConfigInterface::ChannelInterfaceRoomConfigInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelInterfaceRoomConfigInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ChannelInterfaceRoomConfigInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.RoomConfig1", which this class represents.

Returns
  The D-Bus interface name.

## § requestPropertyAnonymous()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyAnonymous | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Anonymous` of type `bool`.

True if people may join the channel without other members being made aware of their identity.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyInviteOnly()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyInviteOnly | ( |  | ) | const

inline

Asynchronous getter for the remote object property `InviteOnly` of type `bool`.

True if people may not join the channel until they have been invited.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyLimit()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyLimit | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Limit` of type `uint`.

The limit to the number of members; or 0 if there is no limit.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyModerated()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyModerated | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Moderated` of type `bool`.

True if channel membership is not sufficient to allow participation.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyTitle()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyTitle | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Title` of type `QString`.

A human-visible name for the channel, if it differs from ChannelInterfaceRoomInterface::RoomName ; the empty string, otherwise.

On XMPP, this represents the `muc#roomconfig_roomname` field of the `muc#roomconfig` form. So for `jdev@conference.jabber.org`, for example:

- ChannelInterfaceRoomInterface::RoomName = `"jdev"`;
- ChannelInterfaceRoomInterface::Server = `"conference.jabber.org"`;
- Title = `"General Jabber development discussion"`.

XEP-0045 is awful.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyDescription()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyDescription | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Description` of type `QString`.

A human-readable description of the channel's overall purpose; if any.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyPersistent()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyPersistent | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Persistent` of type `bool`.

`True` if the channel will remain in existence on the server after all members have left it.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyPrivate()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyPrivate | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Private` of type `bool`.

`True` if the channel is not visible to non-members.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyPasswordProtected()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyPasswordProtected | ( |  | ) | const

inline

Asynchronous getter for the remote object property `PasswordProtected` of type `bool`.

`True` if contacts joining this channel must provide a password to be granted entry. Note that this property does not indicate that a password is required right now; see the ChannelInterfacePasswordInterface interface for the API used to provide a password while joining a room.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyPassword()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyPassword | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Password` of type `QString`.

If PasswordProtected is `True`, the password required to enter the channel, if known. If the password is unknown, or PasswordProtected is `False`, the empty string.

On XMPP—bless its cotton socks!—non-owners of a MUC cannot see its current password, even if they just provided the password in order to join the room…

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyPasswordHint()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyPasswordHint | ( |  | ) | const

inline

Asynchronous getter for the remote object property `PasswordHint` of type `QString`.

If PasswordProtected is `True`, an optional hint for the password.

On protocols supporting PasswordHint (indicated by its presence in MutableProperties ), Password and PasswordHint MUST be set in a single call to UpdateConfiguration() .

Skype requires that the password and its hint be supplied together.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyCanUpdateConfiguration()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyCanUpdateConfiguration | ( |  | ) | const

inline

Asynchronous getter for the remote object property `CanUpdateConfiguration` of type `bool`.

If `True`, the user may call UpdateConfiguration() to change the values of the properties listed in MutableProperties .

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyMutableProperties()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyMutableProperties | ( |  | ) | const

inline

Asynchronous getter for the remote object property `MutableProperties` of type `QStringList`.

A list of (unqualified) property names on this interface which may be modified using UpdateConfiguration() (if CanUpdateConfiguration is `True`). Properties not listed here cannot be modified.

For example, IRC does not have the concept of joining a room without other participants knowing your true identity; so on IRC the Anonymous property will always be `False`, and MutableProperties will not include `"Anonymous"`.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyConfigurationRetrieved()

Tp::PendingVariant* Tp::Client::ChannelInterfaceRoomConfigInterface::requestPropertyConfigurationRetrieved | ( |  | ) | const

inline

Asynchronous getter for the remote object property `ConfigurationRetrieved` of type `bool`.

`True` once the initial room configuration has been retrieved, or `False` otherwise. On some services, this may take some time after you've joined a room to fetch the configuration. Once this property changes to `True`, the other properties on this interface can be assumed to be accurate; this property MUST not change to `False` after it becomes `True`.

An application's “configure this room” dialog might choose to display a spinner while this property is `False`, rather than allowing the user to edit probably-inaccurate configuration.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ChannelInterfaceRoomConfigInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § UpdateConfiguration

QDBusPendingReply Tp::Client::ChannelInterfaceRoomConfigInterface::UpdateConfiguration | ( | const QVariantMap & | properties,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `UpdateConfiguration` on the remote object.

If CanUpdateConfiguration is `True`, modifies the current values of one or more room properties. This method SHOULD NOT return until the change has been accepted or declined by the server.

Note that the server may ostensibly accept the changes (thus allowing this method to return success) but signal different values; for example, the server might truncate Title to some maximum length. Callers SHOULD continue to listen for the `PropertiesChanged` signal, and trust the values it signals over those provided to this method.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  properties

  The new values of one or more properties on this interface, which must be listed in MutableProperties . For instance, to set up a channel for discussing top-secret corporate merge plans, this parameter might be:

  >     {
  >           'Private': True,
  >           'InviteOnly': True,
  >           'Description': "The first rule of #inteltakeover is: do not talk about #inteltakeover",
  >         }

  timeout | The timeout in milliseconds.

## § invalidate()

void Tp::Client::ChannelInterfaceRoomConfigInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.